<?php

       echo "<div class='aut'>Действия</div>\n";
  if($q['r_l']!='0'){
    if(isset($_POST['submit'])){
      $colvo=abs(intval($_POST['colvo']));
      if($q['r_l']>=$colvo){
        mysql_query("UPDATE `empire` SET `narod_abs`=`narod_abs`-$colvo, `r_l`=`r_l`-$colvo WHERE `id_u`='".$user['id']."' LIMIT 1");
        msg('Вы успешно превели '.$colvo.' строителей в жители');
     
        
      }
      else
      {
              msg('У вас нет столько строителей');
      
      }
    }
    else
    {
  echo "<div class='f2'><form method='post' action='?do=19&amp;$passgen'>
  Кол-во строителей(макс. ".$q['r_l']." чел)<br/><input name='colvo' maxlength='5'/>
  <input type='submit' name='submit' value='Перевести'/>
  </form></div>\n";
  }
}
else
{
echo "<div class='err'>У вас нет строителей</div>\n";
}
echo "<div class='aut'><a href='?do=0'>Назад</a></div>";
?>